# RepositoryResourceAccessor

interface RepositoryResourceAccessor

Provides access to resources on an artifact repository. Gradle takes care of caching the resources locally. The scope of the cache may depend on the accessor: users should refer to the javadocs of the methods providing an accessor to determine the scope.

#### Since

4.0

## Functions

withResource
Link copied to clipboard
abstract fun withResource(relativePath: String, action: Action<in InputStream>)
Perform an action on the contents of a remote resource.